## osmo-trx 1.3.1

=== debian/changelog ===
osmo-trx (1.3.1) unstable; urgency=medium

  * mark uhddev_ipc.cpp as BUILT_SOURCES

 -- Harald Welte <laforge@osmocom.org>  Sun, 28 Feb 2021 11:32:11 +0100

osmo-trx (1.3.0) unstable; urgency=medium

  [ Pau Espin Pedrol ]
  * Make logging category DLMS generic and reusable for other backends
  * uhd: Use DEVDRV log category and support UHD >=3.11 logging framework
  * uhd: Improve some logging lines printing UHD pretty-print output
  * doc: clarify number of channels on B210 with multi-arfcn enabled
  * radioInterfaceMulti: Fail to tune on freq not following multi-arfcn restrictions
  * doc: Update vty reference xml file
  * lms: Move initialization of field started to constructor
  * lms: Drop unused define
  * smpl_buf: Fix str_code() param and print unknown error val
  * lms: Improve smpl_buf error logging
  * lms: Change radioDevice constructor arg name to avoid masking instance attr
  * lms: Make reference to std::vector unambiguous
  * lms: Move rx_buffers allocation to constructor
  * lms: Store device type specific parameters in one place
  * lms: Make ts_offset and smpl rate coefs device-specific
  * lms: Initial multi-arfcn support
  * contrib/jenkins.sh: Reorder sanity checks
  * debug.h: Avoid printing pthread_t type
  * debug.h: Fix print format of chan in CLOGCHAN
  * cosmetic: fix several typos found by codespell
  * radioDevice: Drop unused RSSI param from readSamples API
  * radioDevice: Drop unused isControl param from WriteSamples API
  * Use OSMO_FD_READ instead of deprecated BSC_FD_READ
  * Transceiver: Fix extra space in RSP NOISELEV error
  * Transceiver: Implement TRXC cmd NOMTXPOWER
  * UHDDevice: Implement getNominalTxPower() based on TxFrequency
  * radioInterface: Operate on real Tx power attenuation rather than on device specific gains
  * UHDDevice: Compute TxGain on UHD API based on expected Tx output power
  * proto_trxd: Fix UndefinedBehaviorSanitizer from ubsan
  * Transceiver: Allow sending negative nominal tx power in RSP NOMTXPOWER
  * LMSDevice: Compute TxGain on LimeSuite API based on expected Tx output power
  * Drop old TxGain APIs from parent radioDevice abstract class
  * {UHD,LMS}Dervice: Log expected resulting TxPower when setting device specific TxGain
  * cosmetic: trx_rate_ctr: Fix whitespace
  * trx_rate_ctr: Fix immediate rescheduling on per-sec thresholds
  * Rename device specific rate counter multi-thread helpers
  * Introduce rate counter tx_stale_bursts
  * TransceiverState: Initialize ctrs field in constructor
  * doc/manuals: Update thread documentation after dropping CTRL sock threads
  * trx_rate_ctr: Fix locking wrong mutex
  * Introduce rate counters to detect issues in received Dl bursts from TRXD
  * Transceiver: Fix race condition obtaining Dl burst from Upper layer
  * Add rate counter for missing Txbursts when scheduled towards the radioInterface
  * Transceiver: Provide initial value for TransceiverState::mFiller in constructor
  * Transceiver: Use already obtained value from Rx msg structure
  * Transceiver: Restrict conditions where FN gaps are detected
  * trx_rate_ctr: Lower some log levels
  * Introduce CTR log category
  * Transceiver: Lower some log levels which have an associated counter
  * Transceiver: Check log level before generating burst str representation
  * Transceiver: Add several rate_ctr for rx error conditions
  * Use new libosmovty cpu sched config features
  * debian: Update debian8 osmo-trx specific patch
  * jenkins.sh: Verify distro-specific patches apply
  * ipc: fix var declaration in for loop
  * Add support for TRXC MUTE command
  * arch: x86: Fix convolve optimizations breaking signal
  * contrib/jenkins: Enable parallel make in make distcheck
  * Transceiver: Pass config struct instead of large list of params
  * Calculate RSSI offset based on RxGain configuration
  * main: generate coredump and exit upon SIGABRT received
  * ipc: Fix wrong reference to BTS in log line
  * ipc-driver-test: Allow setting dir prefix for UD socket
  * radioInterfaceMulti: Fix memory leak upon close()
  * ChannelizerBase: Fix memory leak
  * Threads.cpp: Use already existing gettid wrapper function
  * Replace my_gettid with libosmocore osmo_gettid API
  * tests: Explicitly drop category from log
  * tests: Replace deprecated API log_set_print_filename

  [ Philipp Maier ]
  * debug: use LOGL_NOTICE for log category DDEV
  * doc: do not set the base-port of the trx
  * doc: apply an rssi-offset of 28 by default.
  * doc: switch log levels to notice
  * Transceiver: Log when sending of CLK indications begins
  * vty: add attributes to VTY commands indicating when they apply
  * osmo-trx: add commandline option --vty-ref-xml

  [ Eric ]
  * configure.ac: fix libtool issue  with clang and sanitizer
  * transceiver: check the right vector
  * transceiver: get rid of the ctrl threads
  * add kernel style .clang-format with 120 chars per line limit
  * devices: reset internal smart sample buffers upon stop
  * transceiver: optimize code if optimizations are enabled
  * transceiver: initialize reorder flag so we don't miscount

  [ Harald Welte ]
  * PRBS tool sending PRBS sequence to TRX
  * prbs-tool: Add error simulation capabilities
  * utils: Ensure content of this directory is included in 'make dist'
  * prbs-tool: Don't require C99
  * RPM spec file: Require uhd-firmware for osmo-trx-uhd
  * osmo-trx.spec.in: Use %config(noreplace) to retain current config file
  * Fix build on Debian8
  * [cosmetic] radioInterfaceMulti: More comments
  * [cosmetic] radioIntefaceMulti: Fix whitespace / indent
  * ipc: Use OSMO_FD_* instead of deprecated BSC_FD_*
  * Use osmo_fd_setup() wherever applicable
  * Use osmo_fd_*_{disable,enable}
  * README update
  * manual: Fix typo OsmTRX -> OsmoTRX

  [ Oliver Smith ]
  * contrib: import RPM spec
  * contrib: integrate RPM spec
  * Makefile.am: EXTRA_DIST: debian, contrib/*.spec.in
  * contrib/jenkins: don't build osmo-gsm-manuals
  * configure.ac: set -std=gnu11



=== debian/control ===
Source: osmo-trx
Section: net
Priority: optional
Maintainer: Osmocom team <openbsc@lists.osmocom.org>
Build-Depends: debhelper (>= 9),
               autotools-dev,
               autoconf-archive,
               pkg-config,
               dh-autoreconf,
               libuhd-dev,
               libusb-1.0-0-dev,
               libboost-all-dev,
               libfftw3-dev,
               libtalloc-dev,
               libusrp-dev,
               liblimesuite-dev,
               libosmocore-dev (>= 1.5.0),
               osmo-gsm-manuals-dev
Standards-Version: 3.9.6
Vcs-Browser: http://cgit.osmocom.org/osmo-trx
Vcs-Git: git://git.osmocom.org/osmo-trx
Homepage: https://projects.osmocom.org/projects/osmotrx

Package: osmo-trx
Depends: osmocom-latest, osmo-trx-uhd
Architecture: all
Description: Metapackage for osmo-trx-uhd

Package: osmo-trx-dbg
Architecture: any
Section: debug
Priority: extra
Depends: osmocom-latest, osmo-trx-uhd (= ${binary:Version}), osmo-trx-usrp1 (= ${binary:Version}), osmo-trx-lms (= ${binary:Version}), osmo-trx-ipc (= ${binary:Version}), ${misc:Depends}
Description: Debug symbols for the osmo-trx-*
 Make debugging possible

Package: osmo-trx-uhd
Architecture: any
Depends: osmocom-latest, ${shlibs:Depends}, ${misc:Depends}
Description: SDR transceiver that implements Layer 1 of a GSM BTS (UHD)
 OsmoTRX is a software-defined radio transceiver that implements the Layer 1
 physical layer of a BTS comprising the following 3GPP specifications:
 .
 TS 05.01 "Physical layer on the radio path"
 TS 05.02 "Multiplexing and Multiple Access on the Radio Path"
 TS 05.04 "Modulation"
 TS 05.10 "Radio subsystem synchronization"
 .
 In this context, BTS is "Base transceiver station". It's the stations that
 connect mobile phones to the mobile network.
 .
 3GPP is the "3rd Generation Partnership Project" which is the collaboration
 between different telecommunication associations for developing new
 generations of mobile phone networks. (post-2G/GSM)

Package: osmo-trx-usrp1
Architecture: any
Depends: osmocom-latest, ${shlibs:Depends}, ${misc:Depends}
Description: SDR transceiver that implements Layer 1 of a GSM BTS (USRP1)
 OsmoTRX is a software-defined radio transceiver that implements the Layer 1
 physical layer of a BTS comprising the following 3GPP specifications:
 .
 TS 05.01 "Physical layer on the radio path"
 TS 05.02 "Multiplexing and Multiple Access on the Radio Path"
 TS 05.04 "Modulation"
 TS 05.10 "Radio subsystem synchronization"
 .
 In this context, BTS is "Base transceiver station". It's the stations that
 connect mobile phones to the mobile network.
 .
 3GPP is the "3rd Generation Partnership Project" which is the collaboration
 between different telecommunication associations for developing new
 generations of mobile phone networks. (post-2G/GSM)

Package: osmo-trx-lms
Architecture: any
Depends: osmocom-latest, ${shlibs:Depends}, ${misc:Depends}
Description: SDR transceiver that implements Layer 1 of a GSM BTS (LimeSuite)
 OsmoTRX is a software-defined radio transceiver that implements the Layer 1
 physical layer of a BTS comprising the following 3GPP specifications:
 .
 TS 05.01 "Physical layer on the radio path"
 TS 05.02 "Multiplexing and Multiple Access on the Radio Path"
 TS 05.04 "Modulation"
 TS 05.10 "Radio subsystem synchronization"
 .
 In this context, BTS is "Base transceiver station". It's the stations that
 connect mobile phones to the mobile network.
 .
 3GPP is the "3rd Generation Partnership Project" which is the collaboration
 between different telecommunication associations for developing new
 generations of mobile phone networks. (post-2G/GSM)

Package: osmo-trx-ipc
Architecture: any
Depends: osmocom-latest, ${shlibs:Depends}, ${misc:Depends}
Description: SDR transceiver that implements Layer 1 of a GSM BTS (generic IPC)
 OsmoTRX is a software-defined radio transceiver that implements the Layer 1
 physical layer of a BTS comprising the following 3GPP specifications:
 .
 TS 05.01 "Physical layer on the radio path"
 TS 05.02 "Multiplexing and Multiple Access on the Radio Path"
 TS 05.04 "Modulation"
 TS 05.10 "Radio subsystem synchronization"
 .
 In this context, BTS is "Base transceiver station". It's the stations that
 connect mobile phones to the mobile network.
 .
 3GPP is the "3rd Generation Partnership Project" which is the collaboration
 between different telecommunication associations for developing new
 generations of mobile phone networks. (post-2G/GSM)

Package: osmo-trx-doc
Architecture: all
Section: doc
Priority: optional
Depends: osmocom-latest, ${misc:Depends}
Description: ${misc:Package} PDF documentation
 Various manuals: user manual, VTY reference manual and/or
 protocol/interface manuals.

## osmo-trx 1.4.0

=== debian/changelog ===
osmo-trx (1.4.0) unstable; urgency=medium

  [ Pau Espin Pedrol ]
  * Threads.cpp: Fix missing extern C around libosmocore include
  * Drop logging pthread ID
  * Threads: Avoid printing pthread_self()
  * ipc: Makefile.am: Clean LDADD variable
  * Use new stat item/ctr getter APIs
  * detectBurst(): Clear downsampling code path
  * detectBurst(): constify parameter
  * computeCI(): Constify param and pass it as reference
  * computeCI(): Rename verbose repeated getter to constant
  * computeCI(): Constify read-only variable
  * detectGeneralBurst(): Increase log level about clipping to INFO
  * cosmetic: Fix typo in comment
  * computeCI: Document hardcoded multiplier
  * lms: Drop duplicated check
  * lms,uhd: Validate band of RxFreq too
  * lms,uhd: Skip re-assigning same band
  * lms,uhd: Allow changing band between poweroff & poweron

  [ Vadim Yanitskiy ]
  * gitignore: remove non-existing 'doc/manuals/osmomsc-usermanual.xml'
  * ctrl_sock_handle_rx(): fix missing space in LOGCHAN() statement
  * trx_rate_ctr: use thread safe strerror() in device_sig_cb()
  * IPCDevice: use thread safe strerror_r() instead of strerror()
  * IPCDevice: check value returned from select()
  * LMSDevice: LMS_GetDeviceList() may return a negative number

  [ Eric ]
  * add hidden fn adjustment command
  * uhd: ensure configured clock source is actually used
  * vty: printing fn offset should be signed
  * lms: init band

  [ Oliver Smith ]
  * d/patches/build-for-debian8.patch: remove

 -- Pau Espin Pedrol <pespin@sysmocom.de>  Tue, 16 Nov 2021 16:27:26 +0100

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
                libtalloc-dev,
                libusrp-dev,
                liblimesuite-dev,
-               libosmocore-dev (>= 1.5.0),
+               libosmocore-dev (>= 1.6.0),
                osmo-gsm-manuals-dev
 Standards-Version: 3.9.6
 Vcs-Browser: http://cgit.osmocom.org/osmo-trx

## osmo-trx 1.4.1

=== debian/changelog ===
osmo-trx (1.4.1-2) unstable; urgency=medium

  * upload to unstable

 -- Thorsten Alteholz <debian@alteholz.de>  Tue, 11 Oct 2022 23:11:51 +0200

osmo-trx (1.4.1-1) experimental; urgency=medium

  * New upstream release.
  * debian/control: depend on libosmocore >=1.7.0

 -- Thorsten Alteholz <debian@alteholz.de>  Mon, 03 Oct 2022 12:49:51 +0200

osmo-trx (1.4.0-3) unstable; urgency=medium

  * fix autopkgtest

 -- Thorsten Alteholz <debian@alteholz.de>  Tue, 15 Mar 2022 18:50:51 +0100

osmo-trx (1.4.0-2) unstable; urgency=medium

  * upload to unstable

 -- Thorsten Alteholz <debian@alteholz.de>  Tue, 15 Mar 2022 18:11:51 +0100

osmo-trx (1.4.0-1) experimental; urgency=medium

  * New upstream release
  * debian/control: bump standard to 4.6.0 (no changes)
  * debian/control: use dh13
  * debian/control: depend on libosmocore >=1.6.0

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 06 Mar 2022 20:11:51 +0000

=== debian/control ===
Source: osmo-trx
Section: utils
Priority: optional
Maintainer: Debian Mobcom Maintainers <Debian-mobcom-maintainers@lists.alioth.debian.org>
Uploaders: Ruben Undheim <ruben.undheim@gmail.com>
	, Thorsten Alteholz <debian@alteholz.de>
Build-Depends: debhelper-compat (= 13),
               pkg-config,
               libuhd-dev,
               libusb-1.0-0-dev,
               libboost-dev,
               libboost-system-dev,
               libosmocore-dev (>= 1.7.0),
               libfftw3-dev,
               liblimesuite-dev
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/debian-mobcom-team/osmo-trx
Vcs-Git: https://salsa.debian.org/debian-mobcom-team/osmo-trx.git
Homepage: http://openbsc.osmocom.org/trac/wiki/OsmoTRX

Package: osmo-trx
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: osmo-bts
Description: SDR transceiver that implements Layer 1 of a GSM BTS
 OsmoTRX is a software-defined radio transceiver that implements the Layer 1
 physical layer of a BTS comprising the following 3GPP specifications:
 .
 TS 05.01 "Physical layer on the radio path"
 TS 05.02 "Multiplexing and Multiple Access on the Radio Path"
 TS 05.04 "Modulation"
 TS 05.10 "Radio subsystem synchronization"
 .
 In this context, BTS is "Base transceiver station". It's the stations that
 connect mobile phones to the mobile network.
 .
 3GPP is the "3rd Generation Partnership Project" which is the collaboration
 between different telecommunication associations for developing new
 generations of mobile phone networks. (post-2G/GSM)

=== debian/rules ===
#!/usr/bin/make -f
#DH_VERBOSE = 1

include /usr/share/dpkg/pkg-info.mk

CHANGELOG_DATE ?= $(shell LC_ALL=C date -u -d @$(SOURCE_DATE_EPOCH) +"%d %B %Y")

export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --with autoreconf


override_dh_auto_clean:
	$(RM) tests/testsuite tests/package.m4 tests/testsuite.log .tarball-version
	dh_auto_clean

override_dh_autoreconf:
	echo $(DEB_VERSION_UPSTREAM) > .tarball-version
	dh_autoreconf

override_dh_auto_configure:
	dh_auto_configure -- --with-lms

override_dh_auto_test:
	dh_auto_test
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	./debian/autotest/autotest
endif

override_dh_installsystemd:
	dh_installsystemd --no-enable --no-start

=== debian/watch ===
#version=3
#opts=dversionmangle=s/\+dfsg// \
#https://github.com/osmocom/osmo-trx/releases /osmocom/osmo-trx/archive/\w+-(\d\S+)\.tar\.(?:bz2|gz|xz)
version=4
opts="mode=git, dversionmangle=s/\+ds//" git://git.osmocom.org/osmo-trx refs/tags/([\d\.]+) debian uupdate

## osmo-trx 1.5.0

=== osmocom-bb/src/Makefile ===

# this is not really used as we don't do 'make install'. You can still specify
# it in case you _want_ to manually 'make install' the target libosmocore.
CROSS_INST_PREFIX ?= /usr/local/stow/osmocom-bb/arm-2010.09

# this is the host tuple of your cross-toolchain
CROSS_HOST ?= $(shell which arm-elf-gcc >/dev/null 2>&1 && echo arm-elf || echo arm-none-eabi)

# this is the prefix of your cross-toolchain programs
CROSS_TOOL_PREFIX=$(CROSS_HOST)-

TOPDIR=$(shell pwd)

all: libosmocore-target nofirmware firmware mtk-firmware

nofirmware: layer23 osmocon trxcon gsmmap gprsdecode virtphy

libosmocore-target: shared/libosmocore/build-target/src/.libs/libosmocore.a

shared/libosmocore/configure: shared/libosmocore/configure.ac
	cd shared/libosmocore && autoreconf -fi

shared/libosmocore/build-target:
	mkdir $@

shared/libosmocore/build-target/Makefile: shared/libosmocore/configure shared/libosmocore/build-target
	cd shared/libosmocore/build-target && ../configure \
			--host=$(CROSS_HOST) --enable-embedded --disable-shared \
			--disable-tests ac_cv_header_sys_select_h=no \
			--disable-tests ac_cv_header_sys_socket_h=no \
		CFLAGS="-Os -ffunction-sections -I$(TOPDIR)/target/firmware/include -nostartfiles -nodefaultlibs"

shared/libosmocore/build-target/src/.libs/libosmocore.a: shared/libosmocore/build-target/Makefile
	cd shared/libosmocore/build-target && make


.PHONY: osmocon
osmocon: host/osmocon/osmocon

host/osmocon/configure: host/osmocon/configure.ac
	cd host/osmocon && autoreconf -i

host/osmocon/Makefile: host/osmocon/configure
	cd host/osmocon && ./configure $(HOST_CONFARGS)

host/osmocon/osmocon: host/osmocon/Makefile
	make -C host/osmocon

.PHONY: virtphy
virtphy: host/virt_phy/virtphy

host/virt_phy/configure: host/virt_phy/configure.ac
	cd host/virt_phy && autoreconf -i

host/virt_phy/Makefile: host/virt_phy/configure
	cd host/virt_phy && ./configure $(HOST_CONFARGS)

host/virt_phy/virtphy: host/virt_phy/Makefile
	make -C host/virt_phy

.PHONY: trxcon
trxcon: host/trxcon/trxcon

host/trxcon/configure: host/trxcon/configure.ac
	cd host/trxcon && autoreconf -i

host/trxcon/Makefile: host/trxcon/configure
	cd host/trxcon && ./configure $(HOST_CONFARGS)

host/trxcon/trxcon: host/trxcon/Makefile
	make -C host/trxcon


.PHONY: gsmmap
gsmmap: host/gsmmap/gsmmap

host/gsmmap/configure: host/gsmmap/configure.ac
	cd host/gsmmap && autoreconf -i

host/gsmmap/Makefile: host/gsmmap/configure
	cd host/gsmmap && ./configure $(HOST_CONFARGS)

host/gsmmap/gsmmap: host/gsmmap/Makefile
	make -C host/gsmmap


.PHONY: layer23
layer23: host/layer23/layer23

host/layer23/configure: host/layer23/configure.ac
	cd host/layer23 && autoreconf -i

host/layer23/Makefile: host/layer23/configure
	cd host/layer23 && ./configure $(HOST_CONFARGS)

host/layer23/layer23: host/layer23/Makefile
	make -C host/layer23

.PHONY: gprsdecode
gprsdecode: host/gprsdecode/gprsdecode

host/gprsdecode/configure: host/gprsdecode/configure.ac
	cd host/gprsdecode && autoreconf -i

host/gprsdecode/Makefile: host/gprsdecode/configure
	cd host/gprsdecode && ./configure $(HOST_CONFARGS)

host/gprsdecode/gprsdecode: host/gprsdecode/Makefile
	make -C host/gprsdecode

.PHONY: firmware
firmware: libosmocore-target
	make -C target/firmware CROSS_COMPILE=$(CROSS_TOOL_PREFIX)

.PHONY: mtk-firmware
mtk-firmware: libosmocore-target
	make -C target/firmware -f Makefile.mtk CROSS_COMPILE=$(CROSS_TOOL_PREFIX)


clean:
	make -C shared/libosmocore/build-target $@
	make -C host/layer23 $@
	make -C host/osmocon $@
	make -C host/gsmmap $@
	make -C host/gprsdecode $@
	make -C host/virt_phy $@
	make -C host/trxcon $@
	make -C target/firmware $@
	make -C target/firmware -f Makefile.mtk $@

distclean:
	rm -rf shared/libosmocore/build-target
	make -C host/layer23 $@
	make -C host/osmocon $@
	make -C host/gsmmap $@
	make -C host/gprsdecode $@
	make -C host/virt_phy $@
	make -C host/trxcon $@
# 'firmware' also handles 'mtk-firmware'
	make -C target/firmware $@

=== osmocom-bb/doc/manuals/Makefile ===
OSMO_GSM_MANUALS_DIR := $(shell ./osmo-gsm-manuals-dir.sh)
srcdir=$(CURDIR)

ASCIIDOC = osmocombb-usermanual.adoc
ASCIIDOC_DEPS = $(srcdir)/chapters/*.adoc
include $(OSMO_GSM_MANUALS_DIR)/build/Makefile.asciidoc.inc

include $(OSMO_GSM_MANUALS_DIR)/build/Makefile.common.inc

=== osmocom-bb/src/target/firmware/Makefile ===
##
## Osmocom-BB: Target firmware Makefile
##

#
# Environments
#

ENV_compalram_LDS=board/compal/ram.lds
ENV_compalram_OBJS=board/compal/start.ram.o board/compal/exceptions_redirected.o board/compal/handlers.o

ENV_highram_LDS=board/compal/highram.lds
ENV_highram_OBJS=board/compal/start.ram.o board/compal/exceptions_redirected.o board/compal/handlers.o

ENV_e88loader_LDS=board/compal_e88/loader.lds
ENV_e88loader_OBJS=board/compal/start.rom.o board/compal/header.o board/compal/exceptions_redirect.o

ENV_e88flash_LDS=board/compal_e88/flash.lds
ENV_e88flash_OBJS=board/compal/start.rom.o board/compal/header.o board/compal/exceptions_redirected.o board/compal/handlers.o


#
# Boards
#

# List of all supported boards (meant to be overridden on command line)
BOARDS?=compal_e88 compal_e86 compal_e99 se_j100 se_k2x0 gta0x gtm900b fcdev3b pirelli_dpl10

# Framebuffer support, board specific drivers
FB_OBJS=fb/framebuffer.o fb/font.o fb/helvR08.o fb/helvB14.o fb/c64.o \
	fb/symbols.o

FB_e88_OBJS=$(FB_OBJS) fb/fb_bw8.o fb/fb_st7558.o
FB_e99_OBJS=$(FB_OBJS) fb/fb_rgb332.o fb/fb_ssd1783.o
FB_e86_OBJS=$(FB_OBJS) fb/fb_rgb332.o fb/fb_td014.o
FB_j100_OBJS=$(FB_OBJS) fb/fb_rgb332.o fb/fb_ssd1963.o
FB_dpl10_OBJS=$(FB_OBJS) fb/fb_rgb332.o fb/fb_s6b33b1x.o
FB_k2x0_OBJS=$(FB_OBJS) fb/fb_rgb332.o fb/fb_k2x0.o
FB_dummy_OBJS=$(FB_OBJS) fb/fb_dummy.o

# TI Calypso
calypso_COMMON_OBJS=board/common/calypso_uart.o \
	board/common/calypso_pwl.o board/common/tx_calchan.o

# OpenMoko GTA0x
BOARD_gta0x_OBJS=$(calypso_COMMON_OBJS) board/gta0x/init.o \
	board/gta0x/rffe_gta0x_triband.o board/gta0x/rf_tables.o \
	board/gta0x/afcparams.o \
	board/common/readcal_tiffs.o battery/dummy.o $(FB_dummy_OBJS)
BOARD_gta0x_ENVIRONMENTS=highram

# Huawei GTM900-B
BOARD_gtm900b_OBJS=$(calypso_COMMON_OBJS) board/gtm900b/init.o \
	board/gtm900b/rffe_gtm900b.o board/gta0x/rf_tables.o \
	board/gtm900b/afcparams.o \
	board/common/readcal_tiffs.o battery/dummy.o $(FB_dummy_OBJS)
BOARD_gtm900b_ENVIRONMENTS=highram

# FreeCalypso FCDEV3B
BOARD_fcdev3b_OBJS=$(calypso_COMMON_OBJS) board/fcdev3b/init.o \
	board/gta0x/rffe_gta0x_triband.o board/gta0x/rf_tables.o \
	board/gta0x/afcparams.o \
	board/common/readcal_tiffs.o battery/dummy.o $(FB_dummy_OBJS)
BOARD_fcdev3b_ENVIRONMENTS=highram

# Pirelli DP-L10
BOARD_pirelli_dpl10_OBJS=$(calypso_COMMON_OBJS) board/pirelli_dpl10/init.o \
	board/pirelli_dpl10/rffe_dpl10_triband.o \
	board/pirelli_dpl10/rf_tables.o board/pirelli_dpl10/readcal.o \
	battery/dummy.o $(FB_dpl10_OBJS)
BOARD_pirelli_dpl10_ENVIRONMENTS=highram

# Compal Generic
compal_COMMON_OBJS=$(calypso_COMMON_OBJS) \
	board/compal/rffe_dualband.o board/compal/rf_tables.o \
	board/compal/readcal_common.o
compal_COMMON_ENVIRONMENTS=compalram highram

# Compal E88
BOARD_compal_e88_OBJS=$(compal_COMMON_OBJS) board/compal_e88/init.o \
	board/compal/readcal_small.o board/compal_e88/tx_ramps.o \
	battery/compal_e88.o $(FB_e88_OBJS)
BOARD_compal_e88_ENVIRONMENTS=$(compal_COMMON_ENVIRONMENTS) e88loader e88flash

# Compal E86 (has a different RFFE configuration)
BOARD_compal_e86_OBJS=$(calypso_COMMON_OBJS) board/compal_e86/init.o \
	board/compal_e86/rffe_dualband_e86.o board/compal/rf_tables.o \
	board/compal/readcal_common.o board/compal/readcal_small.o \
	board/compal_e86/tx_ramps.o battery/dummy.o $(FB_e86_OBJS)
BOARD_compal_e86_ENVIRONMENTS=$(compal_COMMON_ENVIRONMENTS)

# Compal E99
BOARD_compal_e99_OBJS=$(compal_COMMON_OBJS) board/compal_e99/init.o \
	board/compal_e99/readcal.o board/compal_e88/tx_ramps.o \
	battery/dummy.o $(FB_e99_OBJS)
BOARD_compal_e99_ENVIRONMENTS=$(compal_COMMON_ENVIRONMENTS)

# Sony Ericsson J100 (made by Compal)
BOARD_se_j100_OBJS=$(compal_COMMON_OBJS) board/se_j100/init.o \
	board/compal/readcal_small.o board/se_j100/tx_ramps.o \
	battery/dummy.o $(FB_j100_OBJS)
BOARD_se_j100_ENVIRONMENTS=$(compal_COMMON_ENVIRONMENTS)

# Sony Ericsson K200i/K220i
BOARD_se_k2x0_OBJS=$(calypso_COMMON_OBJS) board/se_k2x0/init.o \
	board/se_k2x0/rffe_k2x0.o \
	board/gta0x/rf_tables.o board/gta0x/afcparams.o \
	board/common/readcal_tiffs.o battery/dummy.o $(FB_k2x0_OBJS)
BOARD_se_k2x0_ENVIRONMENTS=highram

#
# Applications
#

# List of all applications (meant to be overridden on command line)
APPLICATIONS?=hello_world compal_dsp_dump layer1 loader rssi menu

# Applications specific env requirements
APP_loader_ENVIRONMENTS=compalram highram
APP_rssi_ENVIRONMENTS=* -compalram
APP_menu_ENVIRONMENTS=* -highram

# Various objects that are currently linked into all applications
FLASH_OBJS=flash/cfi_flash.o
ABB_OBJS=abb/twl3025.o
RF_OBJS=rf/trf6151.o

# Objects that go in all applications
ANY_APP_OBJS+=$(ABB_OBJS) $(RF_OBJS) $(FLASH_OBJS)
ANY_APP_LIBS+=	calypso/libcalypso.a \
		layer1/liblayer1.a \
		lib/libmini.a \
		comm/libcomm.a \
		tiffs/libtiffs.a \
		../../shared/libosmocore/build-target/src/.libs/libosmocore.a \
		../../shared/libosmocore/build-target/src/gsm/.libs/libosmogsm.a


#
# Build rules
#

# Global include path
INCLUDES=-Iinclude/ -I../../../include -I../../shared/libosmocore/include -I../../shared/libosmocore/build-target/include

# Libraries are defined in subdirectories
-include calypso/Makefile
-include layer1/Makefile
-include comm/Makefile
-include tiffs/Makefile
-include lib/Makefile

# Include toolchain configuration
-include Makefile.inc


#
# Build options
#

# Uncomment this line if you want to enable Tx (Transmit) Support.
#CFLAGS += -DCONFIG_TX_ENABLE

# Uncomment this line if you want to write to flash.
#CFLAGS += -DCONFIG_FLASH_WRITE

# Uncomment this line if you want to write to flash, including the bootloader.
#CFLAGS += -DCONFIG_FLASH_WRITE_LOADER

=== debian/changelog ===
osmo-trx (1.5.0) unstable; urgency=medium

  [ Oliver Smith ]
  * configure.ac: add -lboost_thread for uhd < 4.2.0
  * gitignore: add uhddev_ipc.cpp
  * contrib/jenkins: don't run "make distcheck" on arm

  [ Vadim Yanitskiy ]
  * threshold_timer_update_intv(): call osmo_timer_del() unconditionally
  * Transceiver::expectedCorrType(): RACH is always 8-bit on PTCCH/U
  * contrib/jenkins.sh: dump submodule status before building
  * configure.ac: fix: properly check whether to enable ms-trx
  * configure.ac: allow building without cloning submodules
  * configure.ac: cosmetic: rearrange MS TRX related logic
  * configure.ac: make use of AC_MSG_CHECKING and AC_MSG_RESULT

  [ Max ]
  * Set working directory in systemd service file
  * Add realtime scheduling and set priority in service file
  * ctrl: take both address and port from vty config

  [ Eric ]
  * ignore vscode dirs
  * rename noisevector class -> avgvector
  * osmocom-bb for ms-trx side trxcon integration
  * add checkpatch config
  * bladerf xa4 support
  * update osmocom-bb submodule to fix make distcheck
  * vita demod by piotr krysik, modified
  * properly update osmocom-bb submodule, for real this time..
  * ms-trx support
  * clean up mutex, scopedlock, and signal classes
  * ipc: add missing override
  * clang-format: proper c++ standard
  * ipc: remove old autotools workaround
  * ms: init trash used to escape the usb callbacks
  * radio interface: fix init

  [ Eric Wild ]
  * mstrx: do not wait forever if clock locking fails

 -- Pau Espin Pedrol <pespin@sysmocom.de>  Tue, 07 Feb 2023 17:08:17 +0100

osmo-trx (1.4.1) unstable; urgency=medium

  [ Oliver Smith ]
  * treewide: remove FSF address

  [ Vadim Yanitskiy ]
  * tests: use 'check_PROGRAMS' instead of 'noinst_PROGRAMS'

  [ Harald Welte ]
  * update git URLs (git -> https; gitea)

 -- Pau Espin Pedrol <pespin@sysmocom.de>  Wed, 29 Jun 2022 09:32:56 +0200

=== debian/control ===
Source: osmo-trx
Section: net
Priority: optional
Maintainer: Osmocom team <openbsc@lists.osmocom.org>
Build-Depends: debhelper (>= 9),
               autotools-dev,
               autoconf-archive,
               pkg-config,
               dh-autoreconf,
               libuhd-dev,
               libusb-1.0-0-dev,
               libboost-all-dev,
               libfftw3-dev,
               libtalloc-dev,
               libusrp-dev,
               liblimesuite-dev,
               libosmocore-dev (>= 1.8.0),
               osmo-gsm-manuals-dev
Standards-Version: 3.9.6
Vcs-Browser: https://gitea.osmocom.org/cellular-infrastructure/osmo-trx
Vcs-Git: https://gitea.osmocom.org/cellular-infrastructure/osmo-trx
Homepage: https://projects.osmocom.org/projects/osmotrx

Package: osmo-trx
Depends: osmocom-latest, osmo-trx-uhd
Architecture: all
Description: Metapackage for osmo-trx-uhd

Package: osmo-trx-dbg
Architecture: any
Section: debug
Priority: extra
Depends: osmocom-latest, osmo-trx-uhd (= ${binary:Version}), osmo-trx-usrp1 (= ${binary:Version}), osmo-trx-lms (= ${binary:Version}), osmo-trx-ipc (= ${binary:Version}), ${misc:Depends}
Description: Debug symbols for the osmo-trx-*
 Make debugging possible

Package: osmo-trx-uhd
Architecture: any
Depends: osmocom-latest, ${shlibs:Depends}, ${misc:Depends}
Description: SDR transceiver that implements Layer 1 of a GSM BTS (UHD)
 OsmoTRX is a software-defined radio transceiver that implements the Layer 1
 physical layer of a BTS comprising the following 3GPP specifications:
 .
 TS 05.01 "Physical layer on the radio path"
 TS 05.02 "Multiplexing and Multiple Access on the Radio Path"
 TS 05.04 "Modulation"
 TS 05.10 "Radio subsystem synchronization"
 .
 In this context, BTS is "Base transceiver station". It's the stations that
 connect mobile phones to the mobile network.
 .
 3GPP is the "3rd Generation Partnership Project" which is the collaboration
 between different telecommunication associations for developing new
 generations of mobile phone networks. (post-2G/GSM)

Package: osmo-trx-usrp1
Architecture: any
Depends: osmocom-latest, ${shlibs:Depends}, ${misc:Depends}
Description: SDR transceiver that implements Layer 1 of a GSM BTS (USRP1)
 OsmoTRX is a software-defined radio transceiver that implements the Layer 1
 physical layer of a BTS comprising the following 3GPP specifications:
 .
 TS 05.01 "Physical layer on the radio path"
 TS 05.02 "Multiplexing and Multiple Access on the Radio Path"
 TS 05.04 "Modulation"
 TS 05.10 "Radio subsystem synchronization"
 .
 In this context, BTS is "Base transceiver station". It's the stations that
 connect mobile phones to the mobile network.
 .
 3GPP is the "3rd Generation Partnership Project" which is the collaboration
 between different telecommunication associations for developing new
 generations of mobile phone networks. (post-2G/GSM)

Package: osmo-trx-lms
Architecture: any
Depends: osmocom-latest, ${shlibs:Depends}, ${misc:Depends}
Description: SDR transceiver that implements Layer 1 of a GSM BTS (LimeSuite)
 OsmoTRX is a software-defined radio transceiver that implements the Layer 1
 physical layer of a BTS comprising the following 3GPP specifications:
 .
 TS 05.01 "Physical layer on the radio path"
 TS 05.02 "Multiplexing and Multiple Access on the Radio Path"
 TS 05.04 "Modulation"
 TS 05.10 "Radio subsystem synchronization"
 .
 In this context, BTS is "Base transceiver station". It's the stations that
 connect mobile phones to the mobile network.
 .
 3GPP is the "3rd Generation Partnership Project" which is the collaboration
 between different telecommunication associations for developing new
 generations of mobile phone networks. (post-2G/GSM)

Package: osmo-trx-ipc
Architecture: any
Depends: osmocom-latest, ${shlibs:Depends}, ${misc:Depends}
Description: SDR transceiver that implements Layer 1 of a GSM BTS (generic IPC)
 OsmoTRX is a software-defined radio transceiver that implements the Layer 1
 physical layer of a BTS comprising the following 3GPP specifications:
 .
 TS 05.01 "Physical layer on the radio path"
 TS 05.02 "Multiplexing and Multiple Access on the Radio Path"
 TS 05.04 "Modulation"
 TS 05.10 "Radio subsystem synchronization"
 .
 In this context, BTS is "Base transceiver station". It's the stations that
 connect mobile phones to the mobile network.
 .
 3GPP is the "3rd Generation Partnership Project" which is the collaboration
 between different telecommunication associations for developing new
 generations of mobile phone networks. (post-2G/GSM)

Package: osmo-trx-doc
Architecture: all
Section: doc
Priority: optional
Depends: osmocom-latest, ${misc:Depends}
Description: ${misc:Package} PDF documentation
 Various manuals: user manual, VTY reference manual and/or
 protocol/interface manuals.

## osmo-trx 1.6.0

=== debian/changelog ===
osmo-trx (1.6.0) unstable; urgency=medium

  [ Vadim Yanitskiy ]
  * configure.ac: check if LIBTRXCON_DIR (submodule) exists
  * tests: Makefile.am: move -I flags from AM_CFLAGS to AM_CPPFLAGS
  * tests: there shall be no libraries in LDFLAGS
  * tests: use -no-install libtool flag to avoid ./lt-* scripts
  * tests: LMSDeviceTest: fix CPPFLAGS vs CXXFLAGS
  * ipc-driver-test: clean up variables in Makefile.am
  * CommonLibs: remove unused *trx in cfg[_no]_ctr_error_threshold_cmd
  * CommonLibs: clean up and fix Makefile.am
  * ms: logging: print category, level, and extended timestamp

  [ Oliver Smith ]
  * Run struct_endianness.py
  * debian: set compat level to 10
  * systemd: depend on networking-online.target
  * USRPDevice:updateAlignment: remove byteswap code

  [ Eric ]
  * .clang-format: adjust template formatting
  * ms: update submodule to currently known working version
  * ms: adjust tx scaling for tx samples
  * ms : fix the template formatting
  * ms: fix the gain init for blade
  * ms: prettify scheduling + add odroid
  * ms: fix startup & shutdown of blade
  * ms: block burst q to upper layer
  * ms: use single thread pool
  * ms : rename var
  * ms : rename var
  * ms: cache frequency
  * ms: pretty tx buf class
  * ms: rearrange internal trxcon<->phy if
  * ms: remove syncthing tool
  * ms: prune common sch acq code
  * ms: rearrange code to allow clean exits
  * ms: flexible template for value_type buffer sum
  * ms: make init call less confusing
  * transceiver: pass cfg struct instead of args
  * devices: unify band handling
  * ms: fix blocking logging
  * ms: drop the tx burst padding
  * trx: fix dev-args issue
  * ms: update osmocom-bb
  * ms: restructure the va code to add rach support
  * transceiver: add experimental viterbi equalizer support
  * ms/va: make ancient gcc < 8 happy
  * ms: fix thread prio startup issue
  * ms: fix a few coverity complaints related to initialization
  * ms: bump osmocom-bb submodule to current head

  [ Eric Wild ]
  * ms: adjust float<->integral type conversion
  * ms: sch: drop intermediate softvector
  * devices: add freq/gain override for uhd

  [ arehbein ]
  * Transition to use of 'telnet_init_default'

  [ Pau Espin Pedrol ]
  * Call osmo_fd_unregister() before closing and changing bfd->fd
  * ms: update osmocom-bb submodule

 -- Pau Espin Pedrol <pespin@sysmocom.de>  Tue, 12 Sep 2023 15:56:57 +0200

## osmo-trx 1.6.0.7.06c0.202312142026

=== debian/changelog ===
osmo-trx (1.6.0.7.06c0.202312142026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Thu, 14 Dec 2023 20:27:02 +0000

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: net
 Priority: optional
 Maintainer: Osmocom team <openbsc@lists.osmocom.org>
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 10),
                autotools-dev,
                autoconf-archive,
                pkg-config,
@@ -14,15 +14,15 @@
                libtalloc-dev,
                libusrp-dev,
                liblimesuite-dev,
-               libosmocore-dev (>= 1.8.0),
-               osmo-gsm-manuals-dev
+               libosmocore-dev (>= 1.9.0),
+               osmo-gsm-manuals-dev (>= 1.5.0)
 Standards-Version: 3.9.6
 Vcs-Browser: https://gitea.osmocom.org/cellular-infrastructure/osmo-trx
 Vcs-Git: https://gitea.osmocom.org/cellular-infrastructure/osmo-trx
 Homepage: https://projects.osmocom.org/projects/osmotrx
 
 Package: osmo-trx
-Depends: osmocom-latest, osmo-trx-uhd
+Depends: osmocom-nightly (= 202312142026), osmo-trx-uhd
 Architecture: all
 Description: Metapackage for osmo-trx-uhd
 
@@ -30,13 +30,13 @@
 Architecture: any
 Section: debug
 Priority: extra
-Depends: osmocom-latest, osmo-trx-uhd (= ${binary:Version}), osmo-trx-usrp1 (= ${binary:Version}), osmo-trx-lms (= ${binary:Version}), osmo-trx-ipc (= ${binary:Version}), ${misc:Depends}
+Depends: osmocom-nightly (= 202312142026), osmo-trx-uhd (= ${binary:Version}), osmo-trx-usrp1 (= ${binary:Version}), osmo-trx-lms (= ${binary:Version}), osmo-trx-ipc (= ${binary:Version}), ${misc:Depends}
 Description: Debug symbols for the osmo-trx-*
  Make debugging possible
 
 Package: osmo-trx-uhd
 Architecture: any
-Depends: osmocom-latest, ${shlibs:Depends}, ${misc:Depends}
+Depends: osmocom-nightly (= 202312142026), ${shlibs:Depends}, ${misc:Depends}
 Description: SDR transceiver that implements Layer 1 of a GSM BTS (UHD)
  OsmoTRX is a software-defined radio transceiver that implements the Layer 1
  physical layer of a BTS comprising the following 3GPP specifications:
@@ -55,7 +55,7 @@
 
 Package: osmo-trx-usrp1
 Architecture: any
-Depends: osmocom-latest, ${shlibs:Depends}, ${misc:Depends}
+Depends: osmocom-nightly (= 202312142026), ${shlibs:Depends}, ${misc:Depends}
 Description: SDR transceiver that implements Layer 1 of a GSM BTS (USRP1)
  OsmoTRX is a software-defined radio transceiver that implements the Layer 1
  physical layer of a BTS comprising the following 3GPP specifications:
@@ -74,7 +74,7 @@
 
 Package: osmo-trx-lms
 Architecture: any
-Depends: osmocom-latest, ${shlibs:Depends}, ${misc:Depends}
+Depends: osmocom-nightly (= 202312142026), ${shlibs:Depends}, ${misc:Depends}
 Description: SDR transceiver that implements Layer 1 of a GSM BTS (LimeSuite)
  OsmoTRX is a software-defined radio transceiver that implements the Layer 1
  physical layer of a BTS comprising the following 3GPP specifications:
@@ -93,7 +93,7 @@
 
 Package: osmo-trx-ipc
 Architecture: any
-Depends: osmocom-latest, ${shlibs:Depends}, ${misc:Depends}
+Depends: osmocom-nightly (= 202312142026), ${shlibs:Depends}, ${misc:Depends}
 Description: SDR transceiver that implements Layer 1 of a GSM BTS (generic IPC)
  OsmoTRX is a software-defined radio transceiver that implements the Layer 1
  physical layer of a BTS comprising the following 3GPP specifications:
@@ -114,7 +114,7 @@
 Architecture: all
 Section: doc
 Priority: optional
-Depends: osmocom-latest, ${misc:Depends}
+Depends: osmocom-nightly (= 202312142026), ${misc:Depends}
 Description: ${misc:Package} PDF documentation
  Various manuals: user manual, VTY reference manual and/or
  protocol/interface manuals.

## osmo-trx 1.6.0.7.06c0.202312152026

=== debian/changelog ===
osmo-trx (1.6.0.7.06c0.202312152026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Fri, 15 Dec 2023 20:27:03 +0000

=== debian/control ===
--- 
+++ 
@@ -22,7 +22,7 @@
 Homepage: https://projects.osmocom.org/projects/osmotrx
 
 Package: osmo-trx
-Depends: osmocom-nightly (= 202312142026), osmo-trx-uhd
+Depends: osmocom-nightly (= 202312152026), osmo-trx-uhd
 Architecture: all
 Description: Metapackage for osmo-trx-uhd
 
@@ -30,13 +30,13 @@
 Architecture: any
 Section: debug
 Priority: extra
-Depends: osmocom-nightly (= 202312142026), osmo-trx-uhd (= ${binary:Version}), osmo-trx-usrp1 (= ${binary:Version}), osmo-trx-lms (= ${binary:Version}), osmo-trx-ipc (= ${binary:Version}), ${misc:Depends}
+Depends: osmocom-nightly (= 202312152026), osmo-trx-uhd (= ${binary:Version}), osmo-trx-usrp1 (= ${binary:Version}), osmo-trx-lms (= ${binary:Version}), osmo-trx-ipc (= ${binary:Version}), ${misc:Depends}
 Description: Debug symbols for the osmo-trx-*
  Make debugging possible
 
 Package: osmo-trx-uhd
 Architecture: any
-Depends: osmocom-nightly (= 202312142026), ${shlibs:Depends}, ${misc:Depends}
+Depends: osmocom-nightly (= 202312152026), ${shlibs:Depends}, ${misc:Depends}
 Description: SDR transceiver that implements Layer 1 of a GSM BTS (UHD)
  OsmoTRX is a software-defined radio transceiver that implements the Layer 1
  physical layer of a BTS comprising the following 3GPP specifications:
@@ -55,7 +55,7 @@
 
 Package: osmo-trx-usrp1
 Architecture: any
-Depends: osmocom-nightly (= 202312142026), ${shlibs:Depends}, ${misc:Depends}
+Depends: osmocom-nightly (= 202312152026), ${shlibs:Depends}, ${misc:Depends}
 Description: SDR transceiver that implements Layer 1 of a GSM BTS (USRP1)
  OsmoTRX is a software-defined radio transceiver that implements the Layer 1
  physical layer of a BTS comprising the following 3GPP specifications:
@@ -74,7 +74,7 @@
 
 Package: osmo-trx-lms
 Architecture: any
-Depends: osmocom-nightly (= 202312142026), ${shlibs:Depends}, ${misc:Depends}
+Depends: osmocom-nightly (= 202312152026), ${shlibs:Depends}, ${misc:Depends}
 Description: SDR transceiver that implements Layer 1 of a GSM BTS (LimeSuite)
  OsmoTRX is a software-defined radio transceiver that implements the Layer 1
  physical layer of a BTS comprising the following 3GPP specifications:
@@ -93,7 +93,7 @@
 
 Package: osmo-trx-ipc
 Architecture: any
-Depends: osmocom-nightly (= 202312142026), ${shlibs:Depends}, ${misc:Depends}
+Depends: osmocom-nightly (= 202312152026), ${shlibs:Depends}, ${misc:Depends}
 Description: SDR transceiver that implements Layer 1 of a GSM BTS (generic IPC)
  OsmoTRX is a software-defined radio transceiver that implements the Layer 1
  physical layer of a BTS comprising the following 3GPP specifications:
@@ -114,7 +114,7 @@
 Architecture: all
 Section: doc
 Priority: optional
-Depends: osmocom-nightly (= 202312142026), ${misc:Depends}
+Depends: osmocom-nightly (= 202312152026), ${misc:Depends}
 Description: ${misc:Package} PDF documentation
  Various manuals: user manual, VTY reference manual and/or
  protocol/interface manuals.

## osmo-trx 1.6.0.7.06c0.202312182026

=== debian/changelog ===
osmo-trx (1.6.0.7.06c0.202312182026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Mon, 18 Dec 2023 20:27:02 +0000

=== debian/control ===
--- 
+++ 
@@ -22,7 +22,7 @@
 Homepage: https://projects.osmocom.org/projects/osmotrx
 
 Package: osmo-trx
-Depends: osmocom-nightly (= 202312152026), osmo-trx-uhd
+Depends: osmocom-nightly (= 202312182026), osmo-trx-uhd
 Architecture: all
 Description: Metapackage for osmo-trx-uhd
 
@@ -30,13 +30,13 @@
 Architecture: any
 Section: debug
 Priority: extra
-Depends: osmocom-nightly (= 202312152026), osmo-trx-uhd (= ${binary:Version}), osmo-trx-usrp1 (= ${binary:Version}), osmo-trx-lms (= ${binary:Version}), osmo-trx-ipc (= ${binary:Version}), ${misc:Depends}
+Depends: osmocom-nightly (= 202312182026), osmo-trx-uhd (= ${binary:Version}), osmo-trx-usrp1 (= ${binary:Version}), osmo-trx-lms (= ${binary:Version}), osmo-trx-ipc (= ${binary:Version}), ${misc:Depends}
 Description: Debug symbols for the osmo-trx-*
  Make debugging possible
 
 Package: osmo-trx-uhd
 Architecture: any
-Depends: osmocom-nightly (= 202312152026), ${shlibs:Depends}, ${misc:Depends}
+Depends: osmocom-nightly (= 202312182026), ${shlibs:Depends}, ${misc:Depends}
 Description: SDR transceiver that implements Layer 1 of a GSM BTS (UHD)
  OsmoTRX is a software-defined radio transceiver that implements the Layer 1
  physical layer of a BTS comprising the following 3GPP specifications:
@@ -55,7 +55,7 @@
 
 Package: osmo-trx-usrp1
 Architecture: any
-Depends: osmocom-nightly (= 202312152026), ${shlibs:Depends}, ${misc:Depends}
+Depends: osmocom-nightly (= 202312182026), ${shlibs:Depends}, ${misc:Depends}
 Description: SDR transceiver that implements Layer 1 of a GSM BTS (USRP1)
  OsmoTRX is a software-defined radio transceiver that implements the Layer 1
  physical layer of a BTS comprising the following 3GPP specifications:
@@ -74,7 +74,7 @@
 
 Package: osmo-trx-lms
 Architecture: any
-Depends: osmocom-nightly (= 202312152026), ${shlibs:Depends}, ${misc:Depends}
+Depends: osmocom-nightly (= 202312182026), ${shlibs:Depends}, ${misc:Depends}
 Description: SDR transceiver that implements Layer 1 of a GSM BTS (LimeSuite)
  OsmoTRX is a software-defined radio transceiver that implements the Layer 1
  physical layer of a BTS comprising the following 3GPP specifications:
@@ -93,7 +93,7 @@
 
 Package: osmo-trx-ipc
 Architecture: any
-Depends: osmocom-nightly (= 202312152026), ${shlibs:Depends}, ${misc:Depends}
+Depends: osmocom-nightly (= 202312182026), ${shlibs:Depends}, ${misc:Depends}
 Description: SDR transceiver that implements Layer 1 of a GSM BTS (generic IPC)
  OsmoTRX is a software-defined radio transceiver that implements the Layer 1
  physical layer of a BTS comprising the following 3GPP specifications:
@@ -114,7 +114,7 @@
 Architecture: all
 Section: doc
 Priority: optional
-Depends: osmocom-nightly (= 202312152026), ${misc:Depends}
+Depends: osmocom-nightly (= 202312182026), ${misc:Depends}
 Description: ${misc:Package} PDF documentation
  Various manuals: user manual, VTY reference manual and/or
  protocol/interface manuals.
